/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#ifndef AT45DB_H
#define AT45DB_H

#define BUF1_WRITE 0x84
#define BUF2_WRITE 0x87
#define BUF1_READ 0xD4
#define BUF2_READ 0xD6
#define BBUF1_TO_MM_PAGE_PROG_WITH_ERASE 0x83
#define BBUF2_TO_MM_PAGE_PROG_WITH_ERASE 0x86
#define MM_PAGE_TO_B1_XFER 0x53
#define MM_PAGE_TO_B2_XFER 0x55
#define PAGE_ERASE 0x81   // 512/528 bytes per page
#define SECTOR_ERASE 0x7C // 128k bytes per sector
#define READ_STATE_REGISTER 0xD7
#define Read_ID 0x9F

#define SSN       P0_4

void AT45DBXX_Read_ID(unsigned char *IData);
unsigned char SPI1_Receive_Data(void);

void SPI1_Send_Data(unsigned char tx_data);
void SPI_Configuration(void);
void AT45DBXX_BUSY(void);
void write_buffer(unsigned int BufferOffset,unsigned char Data);
unsigned char read_buffer(unsigned int BufferOffset);


#endif /*AT45DB_H*/