/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include"UART.H"
#include "LCD22.h"
#include "Touchpanel.h"

/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
	CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
	while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
	CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}

/* Private variables ---------------------------------------------------------*/
//extern Matrix matrix ;

extern Coordinate  display;
Coordinate TP_value;
extern unsigned int Table_Color[];




/*******************************************************************************
* Function Name  : Touch_Debug
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/


void main(void)
{	
  unsigned int i,touch_OpenColor;
  SystemInit(); 
  InitUART(); 
  printf("\r\n HEELO Waveshare\r\n");  
  
  LCD_Initializtion();
  Disp_Touchpanel();

  while(1)
  {
    while(!TP_INT_IN)
    {

    TP_value = *Read_Ads7846();
    display.x =  (TP_value.y-360)/4.83;
    display.y =  (TP_value.x-360)/3.625; 
    
      if((display.y)>290)
      {
      
      for(i=0;i<10;i++)
      {
        if((21*i<display.x) && display.x<21*(i+1) )
        {
          touch_OpenColor = Table_Color[i];
        }						
      }	
      if((21*10<display.x) && (display.x)<240 )
      {
        Color_Box(0,16,239,274,Blue,Blue2);
      }
      }
      if(16<(display.y)&& (display.y)<290 ) 
      TP_DrawPoint(display.x,display.y,touch_OpenColor);	
    }

  }
         
}