#ifndef KEY_H
#define KEY_H

#include "hal_types.h"
#include <ioCC2530.h>
#include "CC2530_ADC.h"
#include"UART.H"

/* Joystick */
#define HAL_KEY_UP     0x01  // Joystick up
#define HAL_KEY_RIGHT  0x02  // Joystick right
#define HAL_KEY_CENTER 0x04  // Joystick center
#define HAL_KEY_LEFT   0x08  // Joystick left
#define HAL_KEY_DOWN   0x10  // Joystick down

void KEY_Init(void);
uint8 Read_key(void);


#endif 
