/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>

#define uint unsigned int
#define uchar unsigned char


#define LED1 P1_0	
#define KEY1 P0_1      

void Delayms(uint);		
void InitLed(void);		
void KeyInit();                
uchar KeyValue=0;

/*******************************************************************************
* Function Name  : Delayms
* Description    : Delay ms.
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delayms(uint xms) 
{
 uint i,j;
 for(i=xms;i>0;i--)
   for(j=110;j>0;j--);
}
/*******************************************************************************
* Function Name  : LED_Configuration
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void LED_Configuration(void)
{
	P1DIR |= ((1<<0)|(1<<1)|(1<<4));  //P1_1 P0_1 P0_4-> OUTPUT
        LED1 = 0;       
        P1_1 = 0;
        P1_4 = 0;     
}

/*******************************************************************************
* Function Name  : KEY_Configuration
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void KEY_Configuration()
{
  P0IEN |= (1<<1);  //P0_1 
  PICTL |= (1<<1); // ½ش   
  IEN1 |= (1<<5);   // P0ж; 
  P0IFG = 0x00;   // ʼжϱ־λ
  EA = 1; 
}

/**
  * @brief  This function External interrupt.
  * @param  None
  * @retval None
  */
#pragma vector = P0INT_VECTOR   
  __interrupt void P0_ISR(void) 
 { 
  Delayms(10);            //ȥ
  LED1=~LED1;             //ıLED1״̬
  P0IFG = 0;             //жϱ־ 
  P0IF = 0;             //жϱ־ 
 } 

/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void main(void)
{
	LED_Configuration();		
	KEY_Configuration();
        while(1);
}
