/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/


#include"UART.H"
#include <ioCC2530.h>
#include <string.h>

/*******************************************************************************
* Function Name  : InitUART
* Description    : Initialize UART
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void InitUART(void)
{ 
    PERCFG = 0x00;		      //λ1 P0
    P0SEL = 0x0c;		      //P0_2,P0_3ڣⲿ豸ܣ
    P2DIR &= ~0XC0;                   //P0ΪUART0

    U0CSR |= 0x80;		      //ΪUARTʽ
    U0GCR |= 11;				       
    U0BAUD |= 216;		      //Ϊ115200
    UTX0IF = 0;                       //UART0 TXжϱ־ʼλ0
}

/*******************************************************************************
* Function Name  : UartSend_String
* Description    :  
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void UartSend_String(char *Data,int len)
{
  int j;
  for(j=0;j<len;j++)
  {
    U0DBUF = *Data++;
    while(UTX0IF == 0);
    UTX0IF = 0;
  }
}