/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include"AT45DB.h"
#include"UART.H"

#define  uint  unsigned int
#define  uchar unsigned char

#define LED1          P0_0
#define LED2          P0_1



void Delay_ms(uint);
char Txdata[40]; //"HELLO waveshare   "20ַ

char read_buf[256];
char write_buf[256];
/*******************************************************************************
* Function Name  : Delayms
* Description    : Delay ms.
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delay_ms(uint n)
{
     uint i,j;
     for(i=0;i<n;i++)
     {
     for(j=0;j<1774;j++);
     }
}
/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
    CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
    while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
    CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void main(void)
{	
 	unsigned char num,tmp;
    unsigned char ID[4];
	P0DIR |= (1<<0) | (1<<1);     //P0_0 P0_1 -> output
    SystemInit(); 
    InitUART(); 

	SPI_Configuration();
	AT45DBXX_Read_ID(ID);
	
	if((ID[0]==0X1F) | (ID[1]==0X24) | (ID[2]==0X00) | (ID[3]==0X00))
	{
	 	strcpy(Txdata,"AT45DB ID:0x1f 0x24 0x00 0x00  \r\n");	
		UartSend_String(Txdata,sizeof(Txdata));
	}
	else
	{
		strcpy(Txdata,"AT45DB ID error\r\n");	
		UartSend_String(Txdata,sizeof(Txdata));  			
	}
/***************************Write Test*********************************/	
	for(num=0;num<255;num++) /*Written to the flash*/
	{
	 	write_buf[num]=num;
		write_buffer((unsigned int)num,num);
	}
	strcpy(Txdata,"\r\nFALSH AT45DBXX Write Test OK: \r\n");	
	UartSend_String(Txdata,sizeof(Txdata)); 	
/**********************************************************************/	
	
/***************************Read Test*********************************/	
	
	for(num=0;num<255;num++) /*Read the flash*/
	{
		tmp=read_buffer((unsigned int)num);
		read_buf[num] = tmp;
	}
	strcpy(Txdata,"\r\nFALSH AT45DBXX Read Test OK: \r\n");	
	UartSend_String(Txdata,sizeof(Txdata));  		
/**********************************************************************/
	
/***************************verification data***************************/	
	tmp =0;
	for(num=0;num<255;num++) /*Read the flash*/
	{
	 	if(write_buf[num] =read_buf[num])
		{
			tmp++;
		}
	}
	if(tmp == 254)
	{
		strcpy(Txdata,"\r\nFALSH AT45DBXX verification data OK: \r\n");	
		UartSend_String(Txdata,sizeof(Txdata)); 	
	}
	 
	
/**********************************************************************/	
	
    while(1)
	{
         LED1 = ~LED1;
		 LED2 = ~LED2;
         Delay_ms(100);                   //ʱ
    }
}