/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include"UART.H"
#include "CC2530_ADC.h"
#include "KEY.h"

#define  uint  unsigned int
#define  uchar unsigned char

#define LED1          P1_0
#define LED2          P1_1
#define LED3          P1_4



/*******************************************************************************
* Function Name  : Delayms
* Description    : Delay ms.
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delay_ms(uint n)
{
	uint i,j;
	for(i=0;i<n;i++)
	{
		for(j=0;j<1774;j++);
	}
}
/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
	CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
	while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
	CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}

void GPIO_Init(void)
{
  //LED port config

  P1DIR |= (1<<0) | (1<<1) | (1<<4);              //P1_4 -> output
  LED1 = 0;
  LED2 = 0;
  LED3 = 0;
} 
/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void main(void)
{	
  uint8 key;
  SystemInit(); 
  InitUART(); 
  printf("\r\n HEELO Waveshare\r\n"); 
  GPIO_Init();
  KEY_Init();
  while(1)
  {	    
    key = Read_key();     
    switch (key)
    {
      case HAL_KEY_UP :
      LED1=1;
      printf("PRESS KEY_UP\r\n");   
      break;
      case HAL_KEY_RIGHT :
      printf("PRESS KEY_RIGHT\r\n"); 
      LED2=1;
      break;
      case HAL_KEY_LEFT :
      printf("PRESS KEY_LEFT\r\n");  
      LED3=1;
      break;
      case HAL_KEY_DOWN :
      printf("PRESS KEY_DOWN\r\n"); 
      LED1=1;LED2=1;LED3=1;
      break;
      case HAL_KEY_CENTER :
      printf("PRESS KEY_CENTER\r\n");  
      LED3=1;LED2=1;LED1=1;
      break; 
      default:
      break;
    }
    Delay_ms(50);
    LED1 = 0;LED2 = 0;LED3 = 0;
    Delay_ms(50);
    
  }
}


